<template>
    <div>
        <ul class="pagination">
            <li class="page-item" v-for="link in paginationLinks" :class="{'active' : link.active}" @click.prevent="getLink(link.url)">
                <a class="page-link" :href="link.url" v-html="link.label"></a>
            </li>
        </ul>
    </div>

</template>

<script>
    export default {
        name: "Pagination",
        props: {
            paginationLinks:{
                type: Array,
                default:null
            }
        },
        methods:{
            getLink(url){
                this.$emit('getLink',url)
            }
        }
    }
</script>

<style scoped>

</style>